Bug 1841460 - [abrt] python3-tracer: _load_package_info_from_hdr(): rpm.py:201:_load_package_info_from_hdr:AttributeError: 'str' object has no attribute 'decode'
Summary: [abrt] python3-tracer: _load_package_info_from_hdr(): rpm.py:201:_load_packag...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: tracer
Version: 32
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jakub Kadlčík
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:acd3371006480d5eb1bdd12e111...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-05-29 08:05 UTC by Kamil Páral
Modified: 2020-06-26 01:52 UTC (History)
5 users (show)

Fixed In Version: tracer-0.7.4-1.fc32 tracer-0.7.4-1.fc31 tracer-0.7.4-1.el7 tracer-0.7.4-1.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-06-19 01:02:27 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (1.82 KB, text/plain)
2020-05-29 08:05 UTC, Kamil Páral
no flags Details
File: cpuinfo (2.48 KB, text/plain)
2020-05-29 08:05 UTC, Kamil Páral
no flags Details
File: environ (2.23 KB, text/plain)
2020-05-29 08:05 UTC, Kamil Páral
no flags Details
File: mountinfo (2.97 KB, text/plain)
2020-05-29 08:05 UTC, Kamil Páral
no flags Details
File: namespaces (172 bytes, text/plain)
2020-05-29 08:05 UTC, Kamil Páral
no flags Details
File: open_fds (740 bytes, text/plain)
2020-05-29 08:05 UTC, Kamil Páral
no flags Details

Description Kamil Páral 2020-05-29 08:05:31 UTC
Description of problem:
I just ran "sudo tracer -ea".

Version-Release number of selected component:
python3-tracer-0.7.3-2.fc32

Additional info:
reporter:       libreport-2.13.1
cgroup:         0::/user.slice/user-1000.slice/user@1000.service/apps.slice/apps-org.gnome.Terminal.slice/vte-spawn-1ad8cd3d-d0af-42ca-b291-9198b8ed41d2.scope
cmdline:        /usr/bin/python3 /usr/bin/tracer -ea
crash_function: _load_package_info_from_hdr
exception_type: AttributeError
executable:     /usr/bin/tracer
interpreter:    python3-3.8.3-1.fc32.x86_64
kernel:         5.6.14-300.fc32.x86_64
runlevel:       N 5
type:           Python3
uid:            0

Truncated backtrace:
rpm.py:201:_load_package_info_from_hdr:AttributeError: 'str' object has no attribute 'decode'

Traceback (most recent call last):
  File "/usr/bin/tracer", line 34, in <module>
    tracer.main.run()
  File "/usr/lib/python3.8/site-packages/tracer/main.py", line 45, in run
    return router.dispatch()
  File "/usr/lib/python3.8/site-packages/tracer/resources/router.py", line 52, in dispatch
    controller = DefaultController(self.args, self.packages)
  File "/usr/lib/python3.8/site-packages/tracer/controllers/default.py", line 62, in __init__
    self.applications = self.tracer.trace_affected(self._user(args.user))
  File "/usr/lib/python3.8/site-packages/tracer/resources/tracer.py", line 126, in trace_affected
    if not self._applications.find('kernel').ignore and self._has_updated_kernel():
  File "/usr/lib/python3.8/site-packages/tracer/resources/tracer.py", line 134, in _has_updated_kernel
    running = System.running_kernel_package()
  File "/usr/lib/python3.8/site-packages/tracer/resources/system.py", line 119, in running_kernel_package
    return System.package_manager().find_package(System.kernel_package_name(), os.uname()[2])
  File "/usr/lib/python3.8/site-packages/tracer/resources/PackageManager.py", line 67, in find_package
    return self.package_managers[0].find_package(pkg_name, search)
  File "/usr/lib/python3.8/site-packages/tracer/packageManagers/rpm.py", line 119, in find_package
    self._load_package_info_from_hdr(package, hdr)
  File "/usr/lib/python3.8/site-packages/tracer/packageManagers/rpm.py", line 201, in _load_package_info_from_hdr
    package.description = hdr[rpm.RPMTAG_SUMMARY].decode()
AttributeError: 'str' object has no attribute 'decode'

Local variables in innermost frame:
self: <tracer.packageManagers.dnf.Dnf object at 0x7f73d5e2d8e0>
package: <Package:kernel>
hdr: <rpm.hdr object at 0x7f73d5f1bd10>

Comment 1 Kamil Páral 2020-05-29 08:05:35 UTC
Created attachment 1693271 [details]
File: backtrace

Comment 2 Kamil Páral 2020-05-29 08:05:36 UTC
Created attachment 1693272 [details]
File: cpuinfo

Comment 3 Kamil Páral 2020-05-29 08:05:38 UTC
Created attachment 1693273 [details]
File: environ

Comment 4 Kamil Páral 2020-05-29 08:05:40 UTC
Created attachment 1693274 [details]
File: mountinfo

Comment 5 Kamil Páral 2020-05-29 08:05:41 UTC
Created attachment 1693275 [details]
File: namespaces

Comment 6 Kamil Páral 2020-05-29 08:05:43 UTC
Created attachment 1693276 [details]
File: open_fds

Comment 7 Kamil Páral 2020-05-29 08:06:19 UTC
Seems to crash on every run.

Comment 8 Jakub Kadlčík 2020-05-29 11:54:45 UTC
Hello Kamil,
thank you for the report.

We have the issue already fixed in PR#144,
please await a new release very soon.

Comment 9 Fedora Update System 2020-06-08 04:10:36 UTC
FEDORA-EPEL-2020-140d0e644a has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-140d0e644a

Comment 10 Fedora Update System 2020-06-08 04:10:37 UTC
FEDORA-2020-2e33457aa0 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-2e33457aa0

Comment 11 Fedora Update System 2020-06-08 04:12:08 UTC
FEDORA-2020-8847397947 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-8847397947

Comment 12 Fedora Update System 2020-06-11 18:19:50 UTC
tracer-0.7.4-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-89299cdfbe

Comment 13 Fedora Update System 2020-06-11 19:20:40 UTC
tracer-0.7.4-1.fc32 has been pushed to the Fedora 32 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-8847397947

Comment 14 Fedora Update System 2020-06-11 19:23:33 UTC
tracer-0.7.4-1.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-2e33457aa0

Comment 15 Fedora Update System 2020-06-11 19:24:18 UTC
tracer-0.7.4-1.el8 has been pushed to the Fedora EPEL 8 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-140d0e644a

Comment 16 Fedora Update System 2020-06-19 01:02:27 UTC
FEDORA-2020-8847397947 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 17 Fedora Update System 2020-06-23 01:12:39 UTC
FEDORA-2020-2e33457aa0 has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 18 Fedora Update System 2020-06-26 00:35:49 UTC
FEDORA-EPEL-2020-89299cdfbe has been pushed to the Fedora EPEL 7 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 19 Fedora Update System 2020-06-26 01:52:11 UTC
FEDORA-EPEL-2020-140d0e644a has been pushed to the Fedora EPEL 8 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.